package com.helpdesk.micaficito.modelos;
// Generated 11-dic-2019 11:52:12 by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * Roles generated by hbm2java
 */
@Entity
@Table(name="roles"
    ,catalog="openbravopos"
    , uniqueConstraints = @UniqueConstraint(columnNames="NAME") 
)
public class Roles  implements java.io.Serializable {


     private String id;
     private String name;
     private byte[] permissions;
     private Set<People> peoples = new HashSet<People>(0);

    public Roles() {
    }

	
    public Roles(String id, String name) {
        this.id = id;
        this.name = name;
    }
    public Roles(String id, String name, byte[] permissions, Set<People> peoples) {
       this.id = id;
       this.name = name;
       this.permissions = permissions;
       this.peoples = peoples;
    }
   
     @Id 

    
    @Column(name="ID", unique=true, nullable=false)
    public String getId() {
        return this.id;
    }
    
    public void setId(String id) {
        this.id = id;
    }

    
    @Column(name="NAME", unique=true, nullable=false)
    public String getName() {
        return this.name;
    }
    
    public void setName(String name) {
        this.name = name;
    }

    
    @Column(name="PERMISSIONS")
    public byte[] getPermissions() {
        return this.permissions;
    }
    
    public void setPermissions(byte[] permissions) {
        this.permissions = permissions;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="roles")
    public Set<People> getPeoples() {
        return this.peoples;
    }
    
    public void setPeoples(Set<People> peoples) {
        this.peoples = peoples;
    }




}


